org.apache.lucene.spatial3d.geom

## Class XYZSolidFactory

- java.lang.Object
- - org.apache.lucene.spatial3d.geom.XYZSolidFactory

-     public class XYZSolidFactory
      extends Object

  Factory for `XYZSolid`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XYZSolid` | `makeXYZSolid(PlanetModel planetModel, double minX, double maxX, double minY, double maxY, double minZ, double maxZ)` Create a XYZSolid of the right kind given (x,y,z) bounds.
    `static XYZSolid` | `makeXYZSolid(PlanetModel planetModel, XYZBounds bounds)` Create a XYZSolid of the right kind given (x,y,z) bounds.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### makeXYZSolid

          public static XYZSolid makeXYZSolid(PlanetModel planetModel,
                                              double minX,
                                              double maxX,
                                              double minY,
                                              double maxY,
                                              double minZ,
                                              double maxZ)

      Create a XYZSolid of the right kind given (x,y,z) bounds.
      Parameters:
        `planetModel` - is the planet model
        `minX` - is the min X boundary
        `maxX` - is the max X boundary
        `minY` - is the min Y boundary
        `maxY` - is the max Y boundary
        `minZ` - is the min Z boundary
        `maxZ` - is the max Z boundary

    - #### makeXYZSolid

          public static XYZSolid makeXYZSolid(PlanetModel planetModel,
                                              XYZBounds bounds)

      Create a XYZSolid of the right kind given (x,y,z) bounds.
      Parameters:
        `planetModel` - is the planet model
        `bounds` - is the XYZ bounds object.
      Returns:
        the solid.

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.